%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:       weld-core
Version:    2.0.3
Release:    %mkrel 2
Group:      Development/Java
Summary:    Reference Implementation for JSR-299: Contexts and Dependency Injection (CDI)
License:    ASL 2.0 and LGPLv2+ and (CDDL or GPLv2 with exceptions)
URL:        http://seamframework.org/Weld
Source0:    https://github.com/weld/core/archive/%{namedversion}.tar.gz

BuildArch: noarch

BuildRequires: aether
BuildRequires: findbugs
BuildRequires: jpackage-utils
BuildRequires: java-devel
BuildRequires: jboss-interceptor
BuildRequires: maven-local
BuildRequires: maven-clean-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-deploy-plugin
BuildRequires: maven-dependency-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-shade-plugin
BuildRequires: maven-surefire-provider-junit4
BuildRequires: maven-surefire-report-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: weld-api
BuildRequires: weld-parent
BuildRequires: cdi-api
BuildRequires: jboss-jsf-2.1-api
BuildRequires: mvn(javax.faces:jsf-api)
BuildRequires: mvn(javax.persistence:persistence-api)
BuildRequires: mvn(javax.servlet.jsp:jsp-api)
BuildRequires: mvn(ch.qos.cal10n.plugins:maven-cal10n-plugin)
BuildRequires: mvn(org.jboss.spec.javax.el:jboss-el-api_3.0_spec)
BuildRequires: mvn(org.jboss.classfilewriter:jboss-classfilewriter)
BuildRequires: mvn(org.jboss.spec.javax.annotation:jboss-annotations-api_1.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.2_spec)
BuildRequires: mvn(org.jboss:jboss-vfs)

%description
Weld is the reference implementation (RI) for JSR-299: Java Contexts and
Dependency Injection for the Java EE platform (CDI). CDI is the Java standard
for dependency injection and contextual lifecycle management, and integrates
cleanly with the Java EE platform. Any Java EE 6-compliant application server
provides support for JSR-299 (even the web profile). 

%package javadoc
Summary: Javadocs for %{name}
Group:   Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n core-%{namedversion}

find . -name '*.jar' -exec rm {} \;
find . -name '*.class' -exec rm {} \;

# Not needed for build
%pom_remove_plugin org.eclipse.m2e:lifecycle-mapping

# We don't want to build these modules
%pom_disable_module porting-package/1.1
%pom_disable_module tests
%pom_disable_module tests-arquillian
%pom_disable_module inject-tck-runner
%pom_disable_module jboss-tck-runner/1.1

# Don't ship or run checkstyle configuration, see rhbz #825355
%pom_remove_plugin org.apache.maven.plugins:maven-checkstyle-plugin

# Disable envs that are not needed
%pom_disable_module environments/servlet

# Remove unnecessary at this point environents
rm -rf environments/servlet/core/src/main/java/org/jboss/weld/environment/jetty
rm -rf environments/servlet/core/src/main/java/org/jboss/weld/environment/tomcat
rm -rf environments/servlet/core/src/main/java/org/jboss/weld/environment/tomcat7

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.0.3-2.mga4
+ Revision: 541248
- Mageia 4 Mass Rebuild

* Fri Oct 11 2013 dmorgan <dmorgan> 2.0.3-1.mga4
+ Revision: 495363
- New version

* Mon Jan 14 2013 umeabot <umeabot> 1.1.5-4.mga3
+ Revision: 385677
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 dmorgan <dmorgan> 1.1.5-3.mga3
+ Revision: 341049
- Fix buildrequires

* Mon Jun 25 2012 dmorgan <dmorgan> 1.1.5-2.mga3
+ Revision: 263351
- Add new version of P0 ( removal of checkstyle)

* Sun Jun 24 2012 dmorgan <dmorgan> 1.1.5-1.mga3
+ Revision: 262862
- imported package weld-core


* Mon Apr 02 2012 Juan Hernandez <juan.hernandez@redhat.com> 1.1.5-3.AS71.Final
- Remove binaries bundled in the tarball

* Wed Mar 21 2012 Juan Hernandez <juan.hernandez@redhat.com> 1.1.5-2.AS71.Final
- Cleanup of the spec file

* Thu Mar 15 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.5-1.AS71.Final
- Initial packaging

